Skip to content

/fal-ai/flux-1/dev/image-to-image

POST https://www.kkiai.com/fal-ai/flux-1/dev/image-to-image

Official documentation: https://fal.ai/models/fal-ai/flux-1/dev/image-to-image

Request Parameters

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
image_urlstringRequiredDrag and drop a file here, or provide a base64 encoded data URL. Accepted file types: jpg, jpeg, png, webp, gif, avif
strengthnumberOptionalStrength of the initial image. Higher strength values result in better model performance. Default: 0.95 Range: 0.01-1
num_inference_stepsintegerOptionalNumber of inference steps to perform. Default: 40 Range: 10-50
promptstringRequired
guidance_scalenumberOptionalCFG (Classifier-Free Guidance) scale used to measure how closely you want the model to follow the prompt when searching for relevant images. Default: 3.5 Range: 1-20
num_imagesintegerOptionalNumber of images to generate. Default: 1 Range: 1-4
enable_safety_checkerbooleanOptional
output_formatstringOptionalFormat of generated images. Default: "jpeg" Supported: default, png, jpeg
accelerationstringOptionalGeneration speed. Higher speed results in faster generation. Default: "regular" Supported: default, none, regular, high

Request Example

json
{
  "image_url": "https://fal.media/files/koala/Chls9L2ZnvuipUTEwlnJC.png",
  "strength": 0.95,
  "num_inference_steps": 40,
  "prompt": "A cat dressed as a wizard with a background of a mystic forest.",
  "guidance_scale": 3.5,
  "num_images": 1,
  "enable_safety_checker": true,
  "output_format": "jpeg",
  "acceleration": "regular"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/flux-1/dev/image-to-image' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "image_url": "https://fal.media/files/koala/Chls9L2ZnvuipUTEwlnJC.png",
  "strength": 0.95,
  "num_inference_steps": 40,
  "prompt": "A cat dressed as a wizard with a background of a mystic forest.",
  "guidance_scale": 3.5,
  "num_images": 1,
  "enable_safety_checker": true,
  "output_format": "jpeg",
  "acceleration": "regular"
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "acf05732-7cb3-445b-9f39-fdaeccb1d730",
    "response_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730",
    "status_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/status",
    "cancel_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}